summaryrefslogtreecommitdiff
path: root/tests/chgrp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-12-14 14:52:15 +0000
committerJim Meyering <jim@meyering.net>2000-12-14 14:52:15 +0000
commit3337b5a092b54f8f9f5560d4b27af1e683d08d3d (patch)
tree91e86fd2ad41bc5aeeb6b4b12da4f93ae1b5fbcc /tests/chgrp
parentb41ab84baa3224254c5677272801f6d9809a1c1a (diff)
downloadcoreutils-3337b5a092b54f8f9f5560d4b27af1e683d08d3d.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/chgrp')
-rwxr-xr-xtests/chgrp/deref11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/chgrp/deref b/tests/chgrp/deref
index 6b7c47001..b8aa036e1 100755
--- a/tests/chgrp/deref
+++ b/tests/chgrp/deref
@@ -73,4 +73,15 @@ chgrp --dereference $g1 symlink
set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1
+# See about traversing a symlink to a directory.
+mkdir d e
+touch e/f
+ln -s ../e/f d/s
+chgrp -R $g1 e/f
+# Neither of the following should not change the group of e/f
+chgrp -R $g2 d
+set _ `ls -l e/f`; g=$5; test "$g" = $g1 || fail=1
+chgrp --deref -R $g2 d
+set _ `ls -l e/f`; g=$5; test "$g" = $g1 || fail=1
+
(exit $fail); exit